summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-admin/scylla-manager-agent')
-rw-r--r--app-admin/scylla-manager-agent/Manifest18
-rw-r--r--app-admin/scylla-manager-agent/scylla-manager-agent-2.6.0.ebuild64
2 files changed, 74 insertions, 8 deletions
diff --git a/app-admin/scylla-manager-agent/Manifest b/app-admin/scylla-manager-agent/Manifest
index 7f85d4c..ed6ce54 100644
--- a/app-admin/scylla-manager-agent/Manifest
+++ b/app-admin/scylla-manager-agent/Manifest
@@ -5,22 +5,24 @@ AUX scylla-manager-agent.initd 771 BLAKE2B ea62fae48341e8bcd4cceb6466e13643b108e
DIST scylla-manager-agent-2.1.2-0.20200816.76cc4dcc.x86_64.rpm 12555372 BLAKE2B 9fb8839094f7a20a4393ec588c1a3bb09131ac1a364600acdab0e85d5e2ac8ad476fa9aa8028d199b0582c52bc37cbc43a41698adb7d8f863e110e42c7e682e1 SHA512 bacc8cc537c03bfa21e836c8f5cb9614fbcf82ef3dcc7098815da63a2245383c3f9cefc7182dc1ce144e3cdade83fd3c45404ce98a1e774de0c462ad0f3fe14a
DIST scylla-manager-agent-2.3.0-0.20210322.74f75d4a.x86_64.rpm 19102452 BLAKE2B d122143de19ed1742931f5161319a42f77fdc39612d7748697292e666ed226594bb2d5da80f4ef2ef5278b53a005f06b4033758d3d23c50686f41ef8347a03f5 SHA512 7089c47d0315271b412744054fbb23f669a1667976c08f22b8ddba71bd476790cd2e36690363b53ae021245fdc473e85153b2a1418736b512f4491f1bbb19ada
DIST scylla-manager-agent-2.5.0-0.20210812.f4aa0f20.x86_64.rpm 14689737 BLAKE2B b02b875b5a4e878341d26e909fea3b34d3698aea4144d241d1445e36eeab0a848e2e998f35e126b90314f312eaffeb0c3b2435c91587827f805e28a776017f5b SHA512 92609aa5cd2a12e28606631ec0e313585a585bb74e079d9e5bf78d1f36b180a25a5ac01bfae8380c828f6671ef4cab6f9c505cc08c056e99ccf7d2cda1247bec
+DIST scylla-manager-agent-2.6.0-0.20211226.558a8968bb7_linux.x86_64.rpm 15714040 BLAKE2B 838dc1fe6f2a44d514b9ba8e307744b09635a373d635855ee09e60705e92ebb717278f9ee24141248379401df9d093de1351268589c30aecf21aa9eb77769ae7 SHA512 8b3f1b27d1fc9d3659069b45ddd93962cf4be6cffd0e5941676d5335751084375620b8e69024d31352aa7016c14892ff897c442215fe61c7d9a040f0d35e79b6
EBUILD scylla-manager-agent-2.1.2.ebuild 1386 BLAKE2B d97bd4fcf706c8fb8f4ab0a9fb2714db562a5b842bd109e525d934a76adba4cbc498b36bfbf3fc231cb90aa14a3c4b4e1985903206f0bafb0808992dcb4203b6 SHA512 b94bdb55a6a7ca6878e10cbb5b8f70f50dd2fcb1d80624150ea13eb1b0b45c26ea8d7d2e3d0202a379a63de030c133664289afd01118ea8000e8cd3c7c04f622
EBUILD scylla-manager-agent-2.2.4.ebuild 1386 BLAKE2B 69c45407101883f501fe6100a6f57cc2f57bc64eb1aaf1c55eff0e478971d2148c1eebc13d67f5cb67324c0172dc69ac410af5a52c8a781fc3718df1aa3e5fa5 SHA512 fea4357c9ddda6858308298390a5bebe98f3c8c51b4c47af8b530abb9675d3fdeb9eda5831be040eec4b7187d3cf311cb00ad9eb042e1f20d951bbe62da30b10
EBUILD scylla-manager-agent-2.3.0.ebuild 1386 BLAKE2B 5fe33903b4b422582fbd705da0d60358cc26561ea73fcf900a1682f6081feb4834d397b996276a4bd3642d56d94059d1ec686b1f42aa70b5f72ffd1e2cc846e0 SHA512 4319bcea7d29754d8c062d6ffad2c409b6ddb3b9c728cecb9d9a71c5445e1f959791592b2a7af73a9da80de3a3e3166d59bc2455e8695c70a2c257fbc30a6ce4
EBUILD scylla-manager-agent-2.5.0.ebuild 1398 BLAKE2B 378897fb767e72fb7eb1435f7f530a427a947742fb5cd81ef468d385f63d5e15e47cd62cd63bc08ad66e95096cf7302683bf9af6a52a236a9f36ba36dc4b5fa0 SHA512 2b2e2ab2cae53249fd0a2e23b7a3f72b883419301dd536b41b99f26ecdd473363cdc8668f7b268c8d94d37afedb1b238e43d6f88decffdade29e6c41b923cf4a
+EBUILD scylla-manager-agent-2.6.0.ebuild 1407 BLAKE2B 62f0f2f1b7dfb9167cbcb8a25e95fe95d5d356ffe854661a31227a2e00f324d65fd49bc9ae73276a1dd5b0893aa8d92c42b241d8f87daca0d79880e5a89ad592 SHA512 e3c34a24d4cdb6a37cdc7d2c6239b97e915cbfafa2a0ad1e67325eadd233b8da8b0c951d0dd89e397585e186d7344bd4f2885ebe2d0f5cd25bade396990a11f5
MISC metadata.xml 249 BLAKE2B 40afa233e18ae5678e52194be8b1235d8deda4810e55b33ea192ded6b09a158f1bc941544f90a1b9e396db00bc0fe277c072d267568473ae4aa2dec8bc5c2f89 SHA512 6eae78a65db44c8f7ef2d20c10c8612cd2072c0204c6294798e4bf94f1283c684c22d1ad28e0f68e78e82a0c60526d6786492c9dacc438d83405218e51c1bf9c
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2
-iQGTBAEBCAB9FiEEB7NG2KqNbQw8gqQ7Uf8j8ayXdy8FAmEjlUNfFIAAAAAALgAo
+iQGTBAEBCAB9FiEEB7NG2KqNbQw8gqQ7Uf8j8ayXdy8FAmHSxa1fFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDA3
QjM0NkQ4QUE4RDZEMEMzQzgyQTQzQjUxRkYyM0YxQUM5Nzc3MkYACgkQUf8j8ayX
-dy8l8gf6AwnEIjZpUPfy8zDrc+75T9/73VRJCLlPI6kKHIOxV+4AuHuL95HF+vSM
-TI3lbAeU8g8XXN89ZpsG0hjgw4XhM+hytt84d0QyJYwCVjblXoHSvqAWij67Qy2v
-5fYVPqOnQqH6mELDbAzK8BMsxk8BsY2PNXyb1tbMM0uUviXTbjiGKAQiBrRWYJpf
-BmqIt1FzCfT2UjTTQew9zqg95pmpOqisBmd/CI3dz1JvJeOwRJj+WOdbjeJVx2yE
-CFvSeFsI3ujVk2/cQsUPpXV6mgxcyuyQSbgM1FDxQeAfcQuK28HseP2LPlS5lE8X
-oKe16uMww3kLlf00/6Dub2knuw/dRA==
-=TqtP
+dy/r3wgAsF8NuOkJPLdbJANl5SqXLHIsVuNjK1LizxMWo6IQOh624+fmeXbmflwv
+YLJVcAlHASlb7C6hLap+gz44FtzcibzLEtInUYI13H4c2KAz8f3u4mGGUUjMZz88
+0+BqHudZ56Tj8813C06XbHmC7gGdFywjajf/kClQKHDLm+HU8ZCpSK6rBfdduQ7b
+KsaBRCOJAZ2T68JGA5k01yO4dw8UAsj13Zy6PRL19282mc1NSL/M6NVW+qpcfaYu
+0T13BV7iVHdcx+0f2Hi3hniynHVl9J5FjfONuHHL0Ar+nOtRBFZdC+1RFG8OkDt2
+Dnfk03yxn1f/ir+KRextyOGrtHJdUg==
+=h6bl
-----END PGP SIGNATURE-----
diff --git a/app-admin/scylla-manager-agent/scylla-manager-agent-2.6.0.ebuild b/app-admin/scylla-manager-agent/scylla-manager-agent-2.6.0.ebuild
new file mode 100644
index 0000000..4c4d5a9
--- /dev/null
+++ b/app-admin/scylla-manager-agent/scylla-manager-agent-2.6.0.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MY_V="2.6.0-0.20211226.558a8968bb7_linux"
+
+inherit user
+
+DESCRIPTION="Scylla Manager Agent"
+HOMEPAGE="https://manager.docs.scylladb.com/stable/install-scylla-manager.html"
+SRC_URI="http://downloads.scylladb.com/downloads/scylla-manager/rpm/centos/scylladb-manager-2.6/x86_64/${PN}-${MY_V}.x86_64.rpm"
+
+LICENSE="SCYLLADB-SSAL"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="
+ app-arch/rpm2targz
+"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${PN}-${MY_V}.x86_64"
+
+pkg_setup() {
+ enewgroup scylla-manager
+ enewuser scylla-manager -1 -1 /var/lib/scylla-manager scylla-manager
+}
+
+src_unpack() {
+ for rpm in ${A}; do
+ rpmunpack "${DISTDIR}/${rpm}" || die
+ done
+}
+
+src_prepare() {
+ default
+ rm -rf usr/share || die
+}
+
+src_install() {
+ default
+
+ keepdir /var/lib/scylla-manager
+ fowners scylla-manager:scylla-manager "/var/lib/scylla-manager"
+
+ insinto /etc
+ doins -r etc/*
+
+ insinto /usr
+ doins -r usr/*
+
+ fperms +x /usr/bin/scylla-manager-agent
+ fperms +x /usr/lib/scylla-manager/scyllamgr_agent_setup
+ fperms +x /usr/lib/scylla-manager/scyllamgr_auth_token_gen
+
+ newinitd "${FILESDIR}/scylla-manager-agent.initd" ${PN}
+}
+
+pkg_config() {
+ usermod -ou $(id -u scylla) scylla-manager || die "failed to alias scylla-manager to scylla user"
+ /usr/lib/scylla-manager/scyllamgr_agent_setup -y --no-enable-service
+}